Name: sweets-etoys
Version: 4.1.2390
Epoch: 1
Release: 3.3
Group: Development/Tools/Other
Summary: An educational tool for teaching children powerful ideas in compelling ways
License: MIT; ASL 2.0
Url: http://squeakland.org/

Source: etoys-4.1.2390.tar.gz
Source1: sweet.tar.gz



Requires: squeak-vm
BuildRequires: gzip
BuildRequires: make
BuildRequires: subversion
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
An educational tool for teaching children powerful ideas in compelling ways

%prep
%setup -n etoys-4.1.2390

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
./configure --prefix=/opt/sweets/etoys CFLAGS="${CFLAGS}"


%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

make ROOT=%{buildroot}/.dest install-etoys install-activity
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/etoys '' '' > sweets-etoys.files
[ -f activity/activity.info ] && spec=activity/activity.info || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/etoys/sweets.recipe >> sweets-etoys.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/etoys '' '' >> sweets-etoys.files
install -m 0755 -d %{buildroot}/%{_bindir}
ln -s /opt/sweets/etoys/sweets-etoys %{buildroot}/%{_bindir}/
echo %{_bindir}/sweets-etoys >> sweets-etoys.files
chmod 0755 %{buildroot}//opt/sweets/etoys/sweets-etoys
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sdk/etoys
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sdk/etoys/pydirs)
echo /opt/sweets/sdk/etoys/pydirs >> sweets-etoys.files

%post
test -e /opt/sweets/sdk/etoys/pydirs && for i in `cat /opt/sweets/sdk/etoys/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sdk/etoys/pydirs && for i in `cat /opt/sweets/sdk/etoys/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-etoys.files

%changelog
